commit 98ba03ffe0b9f37b4916ce6238fad754e00d720b
Author: Tamar Christina <tamar.christina@arm.com>
Date:   Wed Oct 28 19:13:27 2020 +0000

    AArch64: Skip test for pr97535 on ILP32 since it can't express the range.
    
    I am excluding the test from ILP32 since the goal of the test is to test
    truncations of large numbers above INT_MAX.
    
    gcc/testsuite/ChangeLog:
    
            PR target/97535
            * gcc.target/aarch64/pr97535.c: Exclude ILP32.
    
    (cherry picked from commit 3dcd47389b16f48dcf5512b9ebba15af5c0be948)

diff --git a/gcc/testsuite/gcc.target/aarch64/pr97535.c b/gcc/testsuite/gcc.target/aarch64/pr97535.c
index 6f83b3f5714..7d4db485f1f 100644
--- a/gcc/testsuite/gcc.target/aarch64/pr97535.c
+++ b/gcc/testsuite/gcc.target/aarch64/pr97535.c
@@ -1,4 +1,4 @@
-/* { dg-do compile } */
+/* { dg-do compile { target { ! ilp32 } } } */
 
 #include <string.h>
 

